Subject: Errata in RFC2812

From: "Stefan Hoffmeister" <[email-masked]>
Date: Sun, 10 Jun 2007 13:02:50 +0200

Hello,

I think I found another errata in RFC2812 concerning the ABNF for shortnames. RFC2812 defines shortnames as

shortname  =  ( letter / digit ) *( letter / digit / "-" )
              *( letter / digit )
              ; as specified in RFC 1123 [HNAME]

>From RFC 1123:

   2.1  Host Names and Numbers

      The syntax of a legal Internet host name was specified in RFC-952
      [DNS:4].  One aspect of host name syntax is hereby changed: the
      restriction on the first character is relaxed to allow either a
      letter or a digit.  Host software MUST support this more liberal
      syntax.

In RFC952 the definition of a shortname looks like this

<name>  ::= <let>[*[<let-or-digit-or-hyphen>]<let-or-digit>]

So in my oppinion the shortname definition in RFC2812 should be

shortname  =  ( letter / digit ) [ *( letter / digit / "-" ) ( letter / digit ) ]

Greetings

Stefan Hoffmeister